org.springframework.web.reactive.resource

## Interface ResourceTransformer

All Known Implementing Classes:
  AppCacheManifestTransformer, CachingResourceTransformer, CssLinkResourceTransformer, ResourceTransformerSupport

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ResourceTransformer

An abstraction for transforming the content of a resource.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`reactor.core.publisher.Mono<org.springframework.core.io.Resource>` `transform(org.springframework.web.server.ServerWebExchange exchange, org.springframework.core.io.Resource resource, ResourceTransformerChain transformerChain)` Transform the given resource.

### Method Detail

#### transform

    reactor.core.publisher.Mono<org.springframework.core.io.Resource> transform(org.springframework.web.server.ServerWebExchange exchange,
                                                                                org.springframework.core.io.Resource resource,
                                                                                ResourceTransformerChain transformerChain)

Transform the given resource.

Parameters:
  `exchange` - the current exchange
  `resource` - the resource to transform
  `transformerChain` - the chain of remaining transformers to delegate to
Returns:
  the transformed resource (never empty)